path: /build/build/nvidia-kernel-modules-kernel-6.6-535.86.05.package.tar.zst
dependencies: []
compilespec:
  steps:
  - sed -i -e 's|versionator||g'  /var/git/meta-repo/kits/core-kit/eclass/nvidia-driver.eclass
  - rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-drivers/*.ebuild
    && rm -vf /var/git/meta-repo/kits/core-gl-kit/x11-drivers/nvidia-kernel-modules/*.ebuild
    && anise repo update && anise i -y nvidia-drivers && anise upgrade -y && anise
    cleanup && emerge =x11-drivers/nvidia-kernel-modules-535.86.05 -pv -t
  - |
    emerge -j ${JOBS} =x11-drivers/nvidia-kernel-modules-535.86.05
  - |
    eval 'rm -rf /nvidia-kernel-modules || true' && mkdir /nvidia-kernel-modules && \
    luet-portage --dir /nvidia-kernel-modules x11-drivers/nvidia-kernel-modules
  - for i in /nvidia-kernel-modules/lib/modules/6.6.28-macaroni/video/*.ko ; do zstd
    ${i} -o ${i}.zst --rm ; done
  env:
  - FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox"
  prelude: []
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:0ea5c247b0ecd9352dd71bf359af7f1cece2ad3edd8f165eb394c8fdc7047b49
  package:
    name: nvidia-kernel-modules
    version: 535.86.05
    category: kernel-6.6
    requires:
    - name: kernel
      version: '>=0'
      category: seed-6.6
    annotations:
      kernel_module: true
    buildtimestamp: 2024-05-05 10:08:07.144411004 +0000 UTC m=+624.933581881
    labels:
      emerge.packages: x11-drivers/nvidia-kernel-modules
      kernel.suffix: macaroni
      kernel.type: vanilla
      kernel.version: 6.6.28
      original.package.version: 535.86.05
    treedir: /build/packages
  package_dir: /nvidia-kernel-modules
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/db/pkg/
  - ^/var/cache/portage/
  - ^/var/git/
  - ^/usr/share/doc/
  - ^/etc/modprobe.d/
  - ^/lib/udev/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 25fd015c2292896c588117d08f3f11df4ea9ba65b79b6abbe2cfae86e1705d6e
compressiontype: zstd
files:
- lib/modules/6.6.28-macaroni/video/nvidia-drm.ko.zst
- lib/modules/6.6.28-macaroni/video/nvidia-modeset.ko.zst
- lib/modules/6.6.28-macaroni/video/nvidia-uvm.ko.zst
- lib/modules/6.6.28-macaroni/video/nvidia.ko.zst
package_cacheimage: ""
runtime:
  name: nvidia-kernel-modules
  version: 535.86.05
  category: kernel-6.6
  requires:
  - name: nvidia-drivers-common
    version: '>=0'
    category: kernel
  conflicts:
  - name: nvidia-kernel-open-modules
    version: 535.86.05
    category: kernel-6.6
  annotations:
    kernel_module: true
  labels:
    emerge.packages: x11-drivers/nvidia-kernel-modules
    kernel.suffix: macaroni
    kernel.type: vanilla
    kernel.version: 6.6.28
    original.package.version: 535.86.05
